Update
Updates a draft quote’s type, currency, store account or lines; lines sent replace the old ones. | authz: allowed_org_types=[provider], min_org_role=operator | authz_personas=[coordinator_org_operators] | (OrderBillingQuoteClientUpdate1) -> (OrderBillingQuote1)
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
quote_id
Request
This endpoint expects an object.
currency_code
line_items
quote_type
Allowed values:
shipper_account_id
shipper_account_id__set_to_None
Response
Successful Response
_id
created_at_timestamp
created_by_user_id
Must be a string starting with user_
currency_code
last_edited_at_timestamp
last_edited_by_user_id
Must be a string starting with user_
order_id
owned_by_org_id
Must be a string starting with org_
quote_type
Allowed values:
schema_version
accepted_at_timestamp
accepted_by_user_id
counterparty_off_chrt_org_data_id
counterparty_org_id
line_items
shipper_account_id
status
Allowed values:
superseded_at_timestamp
superseded_by_order_billing_quote_id
withdrawn_at_timestamp
withdrawn_by_user_id
Errors
422
Unprocessable Entity Error